Package com.collibra.dgc.core.api.dto.meta.derivedrelationtype

# Class FindDerivedRelationTypesRequest.Builder

Object
Builder

Enclosing class:
  `FindDerivedRelationTypesRequest`

public static class FindDerivedRelationTypesRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindDerivedRelationTypesRequest`
  `build()`
  `FindDerivedRelationTypesRequest.Builder`
  `coRole(String coRole)`
  `FindDerivedRelationTypesRequest.Builder`
  `countLimit(int countLimit)`
  `FindDerivedRelationTypesRequest.Builder`
  `limit(int limit)`
  `FindDerivedRelationTypesRequest.Builder`
  `offset(int offset)`
  `FindDerivedRelationTypesRequest.Builder`
  `role(String role)`
  `FindDerivedRelationTypesRequest.Builder`
  `sortField(FindDerivedRelationTypesRequest.SortField sortField)`
  `FindDerivedRelationTypesRequest.Builder`
  `sortOrder(SortOrder sortOrder)`
  `FindDerivedRelationTypesRequest.Builder`
  `sourceTypeId(UUID sourceTypeId)`
  `FindDerivedRelationTypesRequest.Builder`
  `sourceTypeName(String sourceTypeName)`
  `FindDerivedRelationTypesRequest.Builder`
  `targetTypeId(UUID targetTypeId)`
  `FindDerivedRelationTypesRequest.Builder`
  `targetTypeName(String targetTypeName)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### sourceTypeId

    public FindDerivedRelationTypesRequest.Builder sourceTypeId(UUID sourceTypeId)
    Returns:
      `this`.

  - ### sourceTypeName

    public FindDerivedRelationTypesRequest.Builder sourceTypeName(String sourceTypeName)
    Returns:
      `this`.

  - ### role

    public FindDerivedRelationTypesRequest.Builder role(String role)
    Returns:
      `this`.

  - ### coRole

    public FindDerivedRelationTypesRequest.Builder coRole(String coRole)
    Returns:
      `this`.

  - ### targetTypeId

    public FindDerivedRelationTypesRequest.Builder targetTypeId(UUID targetTypeId)
    Returns:
      `this`.

  - ### targetTypeName

    public FindDerivedRelationTypesRequest.Builder targetTypeName(String targetTypeName)
    Returns:
      `this`.

  - ### sortField

    public FindDerivedRelationTypesRequest.Builder sortField(FindDerivedRelationTypesRequest.SortField sortField)
    Returns:
      `this`.

  - ### sortOrder

    public FindDerivedRelationTypesRequest.Builder sortOrder(SortOrder sortOrder)
    Returns:
      `this`.

  - ### offset

    public FindDerivedRelationTypesRequest.Builder offset(int offset)
    Returns:
      `this`.

  - ### limit

    public FindDerivedRelationTypesRequest.Builder limit(int limit)
    Returns:
      `this`.

  - ### countLimit

    public FindDerivedRelationTypesRequest.Builder countLimit(int countLimit)
    Returns:
      `this`.

  - ### build

    public FindDerivedRelationTypesRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`